CppUnit project page | FAQ | CppUnit home page

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
SourceLine Class Reference
Creating custom assertions | Browsing collected test result

Represents a source line location.Used to capture the failure location in assertion. More...

`#include <SourceLine.h>`

## Public Member Functions

| SourceLine ()
| SourceLine (const SourceLine &other)
| SourceLine (const std::string &fileName, int lineNumber)
SourceLine & | operator= (const SourceLine &other)
virtual | ~SourceLine ()
| Destructor. More...
bool | isValid () const
int | lineNumber () const
std::string | fileName () const
bool | operator== (const SourceLine &other) const
bool | operator!= (const SourceLine &other) const

## Private Attributes

std::string | m_fileName
int | m_lineNumber

## Detailed Description

Represents a source line location.

Used to capture the failure location in assertion.

Use the CPPUNIT_SOURCELINE() macro to construct that object. Typically used when writing an assertion macro in association with Asserter.

See also
  Asserter.

## Constructor & Destructor Documentation

CPPUNIT_NS_BEGIN SourceLine::SourceLine | ( |  | ) |

SourceLine::SourceLine | ( | const SourceLine & | other | ) |

SourceLine::SourceLine | ( | const std::string & | fileName,
|  | int | lineNumber
| ) |  |

SourceLine::~SourceLine | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

std::string SourceLine::fileName | ( |  | ) | const

bool SourceLine::isValid | ( |  | ) | const

int SourceLine::lineNumber | ( |  | ) | const

bool SourceLine::operator!= | ( | const SourceLine & | other | ) | const

SourceLine & SourceLine::operator= | ( | const SourceLine & | other | ) |

bool SourceLine::operator== | ( | const SourceLine & | other | ) | const

## Member Data Documentation

std::string SourceLine::m_fileName

private

int SourceLine::m_lineNumber

private

The documentation for this class was generated from the following files:

- SourceLine.h
- SourceLine.cpp

| hosts this site. |  | Send comments to: CppUnit Developers